Bug 146349 - rhdb-utils don't recompile
rhdb-utils don't recompile
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhdb-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-27 06:45 EST by Florian La Roche
Modified: 2013-07-02 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 17:40:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2005-01-27 06:45:23 EST
Description of problem:
Recompiling within a Fedora Core development tree gives:


gcc -g -Wall -Wmissing-prototypes -Wmissing-declarations
-I/usr/include/pgsql/se
rver pg_filedump.c -c
pg_filedump.c: In function `FormatItem':
pg_filedump.c:745: error: structure has no member named `t_xmin'
pg_filedump.c:745: error: structure has no member named `t_field2'
pg_filedump.c:746: error: structure has no member named `t_field3'
pg_filedump.c:771: error: `HEAP_XMAX_IS_XMIN' undeclared (first use in
this func
tion)
pg_filedump.c:771: error: (Each undeclared identifier is reported only
once
pg_filedump.c:771: error: for each function it appears in.)
pg_filedump.c: In function `FormatControl':
pg_filedump.c:1067: error: structure has no member named `ThisStartUpID'
make: *** [pg_filedump.o] Error 1



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom Lane 2005-02-10 15:55:48 EST
Yeah, pg_filedump needs to be updated for PostgreSQL 8.0.
Comment 2 Tom Lane 2005-02-10 17:40:14 EST
Done.

Note You need to log in before you can comment on or make changes to this bug.